org.wildfly.swarm.config.elytron

## Class ConstantRoleMapper<T extends ConstantRoleMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConstantRoleMapper<T>

-     public class ConstantRoleMapper<T extends ConstantRoleMapper<T>>
      extends Object

  A role mapper definition where a constant set of roles is always returned.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantRoleMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `role(String value)` The constant roles to be returned by this role mapper.
    `List<String>` | `roles()` The constant roles to be returned by this role mapper.
    `T` | `roles(List<String> value)` The constant roles to be returned by this role mapper.
    `T` | `roles(String... args)` The constant roles to be returned by this role mapper.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantRoleMapper

          public ConstantRoleMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### roles

          public List<String> roles()

      The constant roles to be returned by this role mapper.

    - #### roles

          public T roles(List<String> value)

      The constant roles to be returned by this role mapper.

    - #### role

          public T role(String value)

      The constant roles to be returned by this role mapper.

    - #### roles

          public T roles(String... args)

      The constant roles to be returned by this role mapper.

Copyright © 2018 JBoss by Red Hat. All rights reserved.